var utils = require('../utils');
var path = require('path');
var basePath = process.cwd();

const DEFAULT = {
  title: 'Swanky Docs',
  theme: 'node_modules/swanky-theme',
  layouts: 'node_modules/swanky-theme/templates/layouts',
  partials: 'node_modules/swanky-theme/templates/partials',
  src: 'src',
  snippets: 'src/snippets',
  isolateScopeCssClass: 'sw-isolate',
  isolateScopeCssWrapperClass: 'sw-root-wrapper',
  version: '1.0.0'
};

function Site (config) {
  this.title = config.title || DEFAULT.title;
  this.theme =  config.theme ? path.join(basePath, config.theme) : path.resolve(basePath, DEFAULT.theme);
  this.layouts =  config.layouts ? path.join(basePath, config.layouts) : path.resolve(basePath, DEFAULT.layouts);
  this.partials =  config.partials ? path.join(basePath, config.partials) : path.resolve(basePath, DEFAULT.partials);
  this.src = path.join(basePath, config.src || DEFAULT.src);
  this.snippets = path.join(basePath, config.snippets || DEFAULT.snippets);
  this.isolateScopeCssWrapperClass = DEFAULT.isolateScopeCssWrapperClass;
  this.isolateScopeCssClass = config.isolateScopeCssClass || DEFAULT.isolateScopeCssClass;
  this.repository = config.repo || null;
  this.version = config.version || DEFAULT.version;
}

module.exports = Site;
