const path = require('path');
const hook = require('css-modules-require-hook');
const stylus = require('stylus');

module.exports = (sections, meta, callback) => {

  // Add stylus require hook
  hook({
    generateScopedName: meta.cssScopedName,
    extensions: ['.styl'],
    preprocessCss: function (css, filename) {
      return stylus(css)
        .set('filename', filename)
        .render();
    }
  });

  var styles = require(path.join(meta.theme, 'css/index.styl'));

  // Add isolate scope css classes
  styles['isolate-scope-root'] = meta.isolateScopeCssWrapperClass;
  styles['isolate-scope'] = meta.isolateScopeCssClass;

  // Create unique class name map
  meta.cssMap = styles;
  callback(null, sections);
}