const fs = require('fs');
const path = require('path');
const yaml = require('js-yaml');
const ejs = require('ejs');

module.exports = function (config, callback) {  
  const url = path.resolve(process.cwd(), config);

  try {
    // Read the YAML config
    var rawConfig = yaml.safeLoad(fs.readFileSync(url, 'utf8'));

    // Interpolate any env variables in content paths
    var processedConfig = ejs.render(JSON.stringify(rawConfig), { ENV: process.env }, { cache: false });

    // Restore stringified object to a plain javascript object
    return JSON.parse(processedConfig);
  } catch (e) {
    throw new Error('Cannot parse configuration file. Please make sure your Swanky configuration file exists.');
  }
};